# Update mailing list privacy options

This function modifies a Mailman mailing list's privacy options.

Important:

When you disable the Receive Mail role, the system disables this function.

Endpoint: GET /Email/set_list_privacy_options
Version: 11.138.0.7
Security: BasicAuth

## Query parameters:

  - `advertised` (integer, required)
    Whether the Mailman directory page displays the list.
* 1 - Display.
* 0 - Does not display.
    Enum: 0, 1

  - `archive_private` (integer, required)
    Whether the mailing list archive is private.
* 1 - Private.
* 0 - Public.
    Enum: 0, 1

  - `list` (string, required)
    The mailing list name.
    Example: "mylist"

  - `subscribe_policy` (integer, required)
    The level of control that the mailing list administrator has over new subscribers.
* 1 - Anyone can subscribe. The system sends a confirmation email.
* 2 - The administrator must approve subscriptions. The system does not send a confirmation email.
* 3 - The administrator must approve subscriptions. The system sends a confirmation email.
    Enum: 1, 2, 3

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_list_privacy_options"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


